Bug 15609 - Returning a NodeList from getElementsByTagName and company is likely not web-compatible as things stand
Returning a NodeList from getElementsByTagName and company is likely not web-...
Status: RESOLVED FIXED
Product: WebAppsWG
Classification: Unclassified
Component: DOM
unspecified
PC All
: P2 normal
: ---
Assigned To: Anne
public-webapps-bugzilla
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-18 16:40 UTC by Boris Zbarsky
Modified: 2012-03-06 22:11 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Anne 2012-02-17 15:56:23 UTC
Fixed: https://bitbucket.org/ms2ger/dom-core/changeset/d3fc2c51e2eb

Thanks for the report!
Comment 2 Ryosuke Niwa 2012-03-06 22:01:24 UTC
Anne, you didn't change the return values of getElementsBy* on Element but that they should also be HTMLCollection, right?
Comment 3 Ryosuke Niwa 2012-03-06 22:11:04 UTC
Oops, my bad. They DO return HTMLCollection. I must have been reading some stale version of the spec :( Sorry about the confusion.